Bug 335100 - Copy and paste (or "special paste" with Format) does not copy&paste vertical position (but horizontal)
Summary: Copy and paste (or "special paste" with Format) does not copy&paste vertical ...
Status: RESOLVED FIXED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: general (show other bugs)
Version: 2.8.3
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-20 21:09 UTC by Thomas Fischer
Modified: 2014-05-26 18:06 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Fischer 2014-05-20 21:09:28 UTC
When copy and pasting cells in Calligra Sheets, most formattings of a cell are kept, except for vertical positioning (top, middle, or bottom). This happens both for "normal" paste operations and "special" paste operations where only the format is to be pasted into a cell.
Comment 1 Marijn Kruisselbrink 2014-05-20 21:36:58 UTC
Git commit 90ee780d0ed77fe89932875b47621e8488805841 by Marijn Kruisselbrink.
Committed on 20/05/2014 at 21:33.
Pushed by mkruisselbrink into branch 'master'.

Save all vertical alignment values in the old kspread file format.

The old file format is still use for clipboard storage, so this bug
meant middle aligned formatting wasn't properly copy/pasted.

M  +1    -1    sheets/Style.cpp

http://commits.kde.org/calligra/90ee780d0ed77fe89932875b47621e8488805841
Comment 2 Marijn Kruisselbrink 2014-05-20 21:38:26 UTC
I could only reproduce middle alignment not being properly copied, top and bottom seemed to work fine. So that's all my change fixes.
Comment 3 Thomas Fischer 2014-05-26 18:06:19 UTC
(In reply to comment #2)
> I could only reproduce middle alignment not being properly copied, top and
> bottom seemed to work fine. So that's all my change fixes.
I have to admit that I did not check top or bottom alignment. My problem was the middle alignment bug and I assumed all three cases were affected.
Thanks for the quick fix!